#!/bin/csh 
# File: ifthen4.csh ==================================================

if ( -f weather_data ) then
   if ( -r weather_data && -w weather_data ) then # Readable and writable. 
      cat newdata >> weather_data			# Write to it.
      cat weather_data | more				# Read from it.
      echo "WARNING: weather_data is writable."
      echo "Someone may overwrite it."
   else
      echo "weather_data exists, but it is"
      echo "either not readable or not writable."
   endif
else
   echo "weather_data does not exist."
endif

